Package org.apache.solr.client.solrj.impl

## Class Krb5HttpClientBuilder.SolrJaasConfiguration

- java.lang.Object
- - javax.security.auth.login.Configuration
  - - org.apache.solr.client.solrj.impl.Krb5HttpClientBuilder.SolrJaasConfiguration

Enclosing class:
  Krb5HttpClientBuilder

    public static class Krb5HttpClientBuilder.SolrJaasConfiguration
    extends Configuration

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

`Configuration.Parameters`

### Constructor Summary

Constructors
`SolrJaasConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AppConfigurationEntry[]` `getAppConfigurationEntry​(String appName)`

### Methods inherited from class javax.security.auth.login.Configuration

`getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, refresh, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrJaasConfiguration

    public SolrJaasConfiguration()

### Method Detail

#### getAppConfigurationEntry

    public AppConfigurationEntry[] getAppConfigurationEntry​(String appName)

Specified by:
  `getAppConfigurationEntry` in class `Configuration`